import { async, ComponentFixture, TestBed } from '@angular/core/testing';

import { ApiUserEditFormComponent } from './api-user-edit-form.component';
import { ReactiveFormsModule } from '@angular/forms';
import { HttpClientTestingModule } from '@angular/common/http/testing';
import { RouterTestingModule } from '@angular/router/testing';
import { MatSnackBarModule } from '@angular/material/snack-bar';
import { NoopAnimationsModule } from '@angular/platform-browser/animations';
import { MatDialogModule } from '@angular/material/dialog';

describe('ApiUserEditFormComponent', () => {
  let component: ApiUserEditFormComponent;
  let fixture: ComponentFixture<ApiUserEditFormComponent>;

  beforeEach(async(() => {
    TestBed.configureTestingModule({
      declarations: [ ApiUserEditFormComponent ],
      imports: [
        ReactiveFormsModule, HttpClientTestingModule, RouterTestingModule, MatSnackBarModule, NoopAnimationsModule,
        MatDialogModule,
      ]
    })
    .compileComponents();
  }));

  beforeEach(() => {
    fixture = TestBed.createComponent(ApiUserEditFormComponent);
    component = fixture.componentInstance;
    fixture.detectChanges();
  });

  it('should create', () => {
    expect(component).toBeTruthy();
  });
});
